Description

| start my application with ---approot "..." command. And when | call WServer::setServerConfiguration(argc, argv,
WTHTTP_CONFIGURATION) to set up the WServer an error is shown "setAppRoot(): too late, already configured”.

It's not fatal however it is a false error message since | never set approot before that.

History

#1 - 06/02/2014 01:46 PM - Wim Dumon
- Status changed from New to Feedback
Hi,

| can't seem to reproduce this. | start the hello world example with ---approot but | don't see that error. Can you put a breakpoint on that setAppRoot
method and check from where it's called?

BR,
Wim.

#2 - 06/11/2014 04:48 PM - Koen Deforche
- Assignee set to Wim Dumon
#3 - 06/19/2014 02:35 PM - Saif Rehman
My main.cpp
WServer Server = WServer (argv([0], "wt_config.xml");
try
{
Server.Initialize();
Server.setServerConfiguration (argc, argv, WIHTTP_CONFIGURATION); <---- HERE
}

in WServer.C, function void WServer::setServerConfiguration()

if (!appRoot.empty())
setAppRoot (appRoot) ; <-—-— HERE
